%global momorel 1
%global md5sum_src0 7365122e0ca6f439988f51e8b4db935c

Summary: YafRay: Yet Another Free RAYtracer
Name: yafray
Version: 0.0.9
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.yafray.org/
Group: Applications/Multimedia
%NoSource 0 http://www.yafray.org/sec/2/downloads/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libjpeg-devel
BuildRequires: zlib-devel
BuildRequires: OpenEXR-devel
BuildRequires: scons

%description
YafRay is a graphic raytracer to render 3D models.

%prep
%setup -q -n %{name}

perl -pi -e 's@/lib@/%{_lib}@g' linux-settings.py

%build

%ifarch %{ix86}
cp -p linux-settings.py linux-settings.ix86
mkdir build-sse2

perl -pi -e \
	's/-O3 -ffast-math -fomit-frame-pointer/%{optflags} -O3 -ffast-math -msse2 -mfpmath=sse/g' linux-settings.py

scons %{?_smp_mflags} prefix=%{_prefix}

# TODO: also the plugins .so files should be under ./build-sse2, but we need
# to modify the yafray library code so that they will be searched into
# /usr/lib/yafray/sse2/ too, before /usr/lib/yafray/.
cp -p ./src/interface/libyafrayplugin.so \
	./src/yafraycore/libyafraycore.so ./build-sse2

scons -c 

cp -p linux-settings.ix86 linux-settings.py
%endif

perl -pi -e \
	's/-O3 -ffast-math -fomit-frame-pointer/%{optflags} -O3 -ffast-math/g' linux-settings.py

scons %{?_smp_mflags} prefix=%{_prefix}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
scons install prefix=%{buildroot}%{_prefix}

%ifarch %{ix86}
mkdir -p %{buildroot}%{_prefix}/%{_lib}/sse2
install -m 755 ./build-sse2/libyafrayplugin.so %{buildroot}%{_prefix}/%{_lib}/sse2/
install -m 755 ./build-sse2/libyafraycore.so %{buildroot}%{_prefix}/%{_lib}/sse2/
%endif

# our sysconf dir is /etc not /usr/etc
mv %{buildroot}%{_prefix}/etc %{buildroot}/etc

# remove .sconsign files
find %{buildroot} -name .sconsign -exec rm -f {} \;

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README
%doc doc/doc.html
%{_sysconfdir}/gram.yafray
%{_bindir}/yafray
# Plugins
%{_libdir}/yafray
%ifarch %{ix86}
%{_libdir}/sse2
%endif
# Warning: Module, not development library
%{_libdir}/libyafraycore.so
%{_libdir}/libyafrayplugin.so

%changelog
* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.9-1m)
- initial package for k3d-0.6.6.0
- package style is imported from cooker
